  REM EvalFile.Bat v1.12 -- EvalFile door batch file 

  REM This file should be called as a nightly event (install from the
  REM SysOp Menu) and as your door batch file (install from MAKEWILD) 
  REM and/or a File Menu hook (install from MAKEMENU).
  
  REM The batch file assumes that the serial I/O re-direction utility 
  REM DoorWay is in the sub-directory Door\DoorWay.  If this
  REM assumption is incorrect, please customize this batch file.

  REM If the door drop file doesn't exist, assumes nightly event mode.
  if not exist Door.Sys goto Event_Mode

:User_Mode

  cd ..\..\Door\EvalFile 
  copy ..\..\WCWork\Node1\Door.Sys 
  copy ..\..\WCWork\Node1\UserRec.Bin 
  ..\DoorWay\Doorway Sys /B:MZ /V:D /P:EvalFile.Exe 
  copy UserRec.Bin ..\..\WCWork\Node1\UserRec.Bin 
  del Door.Sys 
  del UserRec.Bin 
  goto Done

:Event_Mode

  cd Door\EvalFile 
  copy ..\..\Activity.1 Activity.Log 
  copy ..\..\Data\AllFiles.Dat 
  copy ..\..\FileArea.Dat 
  copy ..\..\MakeWild.Dat 
  EvalFile.Exe 
  
  REM You may want to delete these copies afterwards to save space.
  REM del Activity.Log 
  REM del AllFiles.Dat 
  REM del FileArea.Dat 
  REM del MakeWild.Dat 
  
  REM The following line creates copies of AllFiles.Txt and EvalFile.Txt
  REM for your users to download.  You may want to change the directories.
  copy AllFiles.Txt ..\..\File\Misc\AllFiles.Txt 
  copy EvalFile.Hdr + EvalFile.Txt ..\..\File\Misc\EvalFile.Txt 

:Done
  REM
